Gets the current delegation status and message for a smart contract wallet across different chains. Returns delegation information for each chain ID in the request.
cURL
curl --request POST \ --url https://trade-api.gateway.uniswap.org/v1/wallet/check_delegation \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "chainIds": [ 1 ], "walletAddresses": [ "<string>" ] } '
{ "requestId": "<string>", "delegationDetails": {} }
Array of chain IDs to check delegation status for.
The unique ID of the blockchain. For a list of supported chains see the FAQ.
1
10
56
130
137
196
324
480
1868
8453
10143
42161
42220
43114
81457
7777777
1301
84532
11155111
143
Array of wallet addresses to check delegation status for.
^(0x)?[0-9a-fA-F]{40}$
Wallet delegation info request successful.
A unique ID for the request.
Map of wallet addresses to chain IDs to delegation details.
Show child attributes